## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanAVTAllocator Class Reference

`#include <XalanAVTAllocator.hpp>`

Collaboration diagram for XalanAVTAllocator:

[legend]
List of all members.

## Public Types

- typedef AVT data_type
- typedef ArenaAllocator<data_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanAVTAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanAVTAllocator ()
- data_type* create (StylesheetConstructionContext &constructionContext, const LocatorType *locator, const XalanDOMChar *name, const XalanDOMChar *stringedValue, const PrefixResolver &resolver)
    Create an instance. More...
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator... More...
- void reset ()
    Delete all objects from the allocator. More...
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated. More...
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...

## Member Typedef Documentation

typedef ArenaAllocator< data_type > XalanAVTAllocator::ArenaAllocatorType<data_type>

typedef AVT XalanAVTAllocator::data_type

typedef ArenaAllocatorType::size_type XalanAVTAllocator::size_type

## Constructor & Destructor Documentation

XalanAVTAllocator::XalanAVTAllocator ( | size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XalanAVTAllocator::~XalanAVTAllocator ( | )

## Member Function Documentation

data_type * XalanAVTAllocator::create ( | StylesheetConstructionContext & constructionContext,
| const LocatorType * locator,
| const XalanDOMChar * name,
| const XalanDOMChar * stringedValue,
| const PrefixResolver & resolver )

  | Create an instance. Parameters:
  constructionContext | context for construction of AVT
  locator | the Locator for the AVT. May be null.
  name | name of AVT
  stringedValue | string value to parse
  resolvervresolver | for namespace resolution
Returns: A pointer to the new instance.

size_type XalanAVTAllocator::getBlockCount ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

size_type XalanAVTAllocator::getBlockSize ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

bool XalanAVTAllocator::ownsObject ( | const data_type * theObject )

| Determine if an object is owned by the allocator...

void XalanAVTAllocator::reset ( | )

| Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanAVTAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.